Module org.jfree.chart3d
Package org.jfree.chart3d.axis

# Enum Class ValueAxis3DType

java.lang.Object
java.lang.Enum<ValueAxis3DType>
org.jfree.chart3d.axis.ValueAxis3DType

All Implemented Interfaces:
  `Serializable`, `Comparable<ValueAxis3DType>`, `Constable`

public enum ValueAxis3DType extends Enum<ValueAxis3DType>
An enumeration of the value axis types. A `ValueAxis3D` can be used in several different plot dimensions.

Since:
  1.3

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`VALUE`
A value axis in a `CategoryPlot3D`.
`X`
An x-axis in an `XYZPlot`.
`Y`
A y-axis in an `XYZPlot`.
`Z`
A z-axis in an `XYZPlot`.

## Method Summary

Modifier and Type
Method
Description
`static ValueAxis3DType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ValueAxis3DType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VALUE

public static final ValueAxis3DType VALUE
A value axis in a `CategoryPlot3D`.

### X

public static final ValueAxis3DType X
An x-axis in an `XYZPlot`.

### Y

public static final ValueAxis3DType Y
A y-axis in an `XYZPlot`.

### Z

public static final ValueAxis3DType Z
A z-axis in an `XYZPlot`.

## Method Details

### values

public static ValueAxis3DType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ValueAxis3DType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null